Incidencia #299 (closed Defecto: Resuelto)

Abierto hace 7 años

Última modificación 7 años

como instalar java

Informado por: engesc@… Propietario: willicab
Prioridad: Alta Hito: canaima-popular-3.0~estable
Componente: Metadistribución Versión: 3.0
Gravedad: Palabras clave:
Cc: Asignar A:

Descripción

La presente se motiva a que tengo varias aplicaciones y portales web, que para verlas requieren del plugins de java, instale sun-java-6.jre y sun-java-bin (cosa que es suficiente para disfrutar de la consola de java), cree los respectivos enlaces simbólicos para activar el plugins y no funciono, modifique las opciones en about:config, adicionalmente instale el plugins disponible en la pagina de firefox y no logre resultados satisfactorios.
Por ende necesito asistencia detallada, puesto que soy un mortal muy bruto, el kernel instalado es 2.6.32-5-amd64, de antemano gracias.

Historial de cambios

comment:1 seguimiento: ↓ 3 Cambiado el 7 años por arawako

Hola si lo que necesitas es que tus aplicaciones se vean en un navegador web revisa si tienes instalado esto sun-java6-plugin, seo debio instalarse al momento que instalaste los otros dos componentes, mas sin embargo revisa, si no entonces instalalo

comment:2 seguimiento: ↓ 4 Cambiado el 7 años por José

En este blog ponen unos pasos para instalar sun-java6-plugin

http://usandocanaima.blogspot.com/2011/05/forzar-instalacion-de-java-plugin-en.html

comment:3 en respuesta a: ↑ 1 Cambiado el 7 años por engesc@…

No, no se instalo, y cuando trato de instalarlo con así "aptitude install sun-java6-pluin", me dice que debo instalar iceweasel y icedove entre otros, cosa que no quiero hacer

comment:4 en respuesta a: ↑ 2 Cambiado el 7 años por engesc@…

Replying to José:

En este blog ponen unos pasos para instalar sun-java6-plugin

http://usandocanaima.blogspot.com/2011/05/forzar-instalacion-de-java-plugin-en.html

Tu manual, me dio una gran idea, con la cual resolví el problema; fijate lo que hice:
1) Instale sun-java6-bin, con "aptitude install sun-java6-bin"
2) Luego descargue el paquete "sun-java6-plugin_6.24-1~squeeze1_amd64.deb" de los repositorios de universo, e instale de la siguiente forma "dpkg --install --force-all sun-java6-plugin_6.24-1~squeeze1_amd64.deb"

Muchas gracias, por la ayuda.

Esto se puede dar por caso cerrado.

comment:5 seguimiento: ↓ 6 Cambiado el 7 años por jesuslara

No entiendo, ¿hay un sun-java-plugin en los repositorios de Canaima?, descargar el java6 de "universo" es instalarlo vía aptitude desde un repositorio debian, no existe diferencia alguna ...

comment:6 en respuesta a: ↑ 5 ; seguimiento: ↓ 7 Cambiado el 7 años por engesc@…

Replying to jesuslara:

No entiendo, ¿hay un sun-java-plugin en los repositorios de Canaima?, descargar el java6 de "universo" es instalarlo vía aptitude desde un repositorio debian, no existe diferencia alguna ...

Compa el problema es que tiene fallas de dependencia, sun-java-plugin solo puede instalarse si instalas iceweasel con sus respectivas dependencias.

comment:7 en respuesta a: ↑ 6 Cambiado el 7 años por algolius

  • Propietario cambiado de Canaima a algolius
  • Estado cambiado de new to accepted

Replying to engesc@…:

Replying to jesuslara:

No entiendo, ¿hay un sun-java-plugin en los repositorios de Canaima?, descargar el java6 de "universo" es instalarlo vía aptitude desde un repositorio debian, no existe diferencia alguna ...

Compa el problema es que tiene fallas de dependencia, sun-java-plugin solo puede instalarse si instalas iceweasel con sus respectivas dependencias.

LO que tienes es un conflicto de repositorios, deja solo los repos de canaima e instala sun-java6-plugin de los repo de canaima, sirve perfectamente con cunaguaro.

comment:8 Cambiado el 7 años por algolius

  • Propietario algolius borrado
  • Estado cambiado de accepted to new

deja solo los repositorios de canaima e instala sun-java6-plugin, recuerda solo los repo que trae canaima por defecto, canaima es una cosa y debian es otra.

comment:9 seguimiento: ↓ 10 Cambiado el 7 años por erickcion@…

Yo tengo el mismo problema de las dependencias y no he agregado ningun repositorio nuevo en absoluto. Estoy usando los que canaima trae por defecto.

comment:10 en respuesta a: ↑ 9 ; seguimeintos: ↓ 11 ↓ 15 Cambiado el 7 años por José Rojas <josefranw@…>

Replying to erickcion@…:

Amigo, ¿quieres probar instalando icedtea? Quizá te sirva. Icedtea permite la ejecución de entornos java y no contiene códigos cerrados. Es totalmente software libre...

comment:11 en respuesta a: ↑ 10 ; seguimiento: ↓ 13 Cambiado el 7 años por engesc@…

Replying to José Rojas <josefranw@…>:

Replying to erickcion@…:

Amigo, ¿quieres probar instalando icedtea? Quizá te sirva. Icedtea permite la ejecución de entornos java y no contiene códigos cerrados. Es totalmente software libre...

Esa no es la cuestión, si hacemos eso deja de ser un desarrollo Venezolano, si quitamos lo que trae y ponemos otra cosa deja la esencia para lo que fue concebida, es por eso que debemos reportar las fallas, aunque sean mínimas, para mejorar nuestro desarrollo (cuando digo nuestro me refiero a todos los Venezolanos)

comment:12 Cambiado el 7 años por HuntingBears

El problema exacto es el siguiente:

sun-java6-plugin depende de:

firefox o firefox-2 o iceweasel o mozilla-firefox o iceape-browser o mozilla-browser o epiphany-gecko o epiphany-webkit o epiphany-browser o galeon o midbrowser o moblin-web-browser o xulrunner o xulrunner-1.9 o konqueror o chromium-browser o midori o google-chrome

En Canaima 3.0 no están instalados ninguno de esos paquetes por defecto, y Debian todavía no conoce que acá usamos Cunaguaro. Entonces las soluciones pueden ser:

1.- Modificar el paquete sun-java6-plugin para incluir la dependencia a Cunaguaro, para que el conflicto de dependencias termine.

o

2.- Instalar temporalmente uno de éstos navegadores, que NO sea firefox, firefox-2, iceweasel, mozilla-firefox, iceape-browser o mozilla-browser ya que presenta conflictos con Cunaguaro. Recomiendo que sea Midori, porque es bastante ligero. Entonces, con un aptitude install midori sun-java6-plugin, es suficiente.

La opción 1, seguramente la tendremos lista para la próxima versión de Canaima, así que mi recomendación general es seguir la opción 2.

Saludos!

comment:13 en respuesta a: ↑ 11 ; seguimiento: ↓ 14 Cambiado el 7 años por José Rojas

Replying to engesc@…:

Replying to José Rojas <josefranw@…>:

Replying to erickcion@…:

Amigo, ¿quieres probar instalando icedtea? Quizá te sirva. Icedtea permite la ejecución de entornos java y no contiene códigos cerrados. Es totalmente software libre...

Esa no es la cuestión, si hacemos eso deja de ser un desarrollo Venezolano, si quitamos lo que trae y ponemos otra cosa deja la esencia para lo que fue concebida, es por eso que debemos reportar las fallas, aunque sean mínimas, para mejorar nuestro desarrollo (cuando digo nuestro me refiero a todos los Venezolanos)

Pero es que java no es un desarrollo nuestro. Es privativo. Mientras que icedtea es libre y sí se puede mejorar. Con java dependemos de software de terceros. Icedtea se puede hacer nuestro al ser libre de ser modificado, mejorado, distribuido, etc, etc, etc.

comment:14 en respuesta a: ↑ 13 Cambiado el 7 años por engesc@…

Replying to José Rojas :

Replying to engesc@…:

Replying to José Rojas <josefranw@…>:

Replying to erickcion@…:

Amigo, ¿quieres probar instalando icedtea? Quizá te sirva. Icedtea permite la ejecución de entornos java y no contiene códigos cerrados. Es totalmente software libre...

Esa no es la cuestión, si hacemos eso deja de ser un desarrollo Venezolano, si quitamos lo que trae y ponemos otra cosa deja la esencia para lo que fue concebida, es por eso que debemos reportar las fallas, aunque sean mínimas, para mejorar nuestro desarrollo (cuando digo nuestro me refiero a todos los Venezolanos)

Pero es que java no es un desarrollo nuestro. Es privativo. Mientras que icedtea es libre y sí se puede mejorar. Con java dependemos de software de terceros. Icedtea se puede hacer nuestro al ser libre de ser modificado, mejorado, distribuido, etc, etc, etc.

Eso si sería bueno, que para una próxima o inclusive desde ahora, se tome ese icedtea como navegador modificado predeterminado o simplemente se incluya como una posibilidad mas, siempre y cuando este modificada para la distribución de canaima 2.0 y/o 3.0

comment:15 en respuesta a: ↑ 10 Cambiado el 7 años por erickcion@…

Replying to José Rojas <josefranw@…>:

Replying to erickcion@…:

Amigo, ¿quieres probar instalando icedtea? Quizá te sirva. Icedtea permite la ejecución de entornos java y no contiene códigos cerrados. Es totalmente software libre...

No he instalado icedtea porque en otras ocasiones lo instale y siempre me fallaban la mayoria de los applets, simplemente no cargaban, se quedaban en blanco, así que decidí no usarlo.

Las veces que lo use nunca me funciono el cargador de fotos del facebook (usado por todos), el applet de una pagina web de karaoke (usado por mi mama) y algunos applets de mi banco; y como todos usamos linux opte por usar el que funcionaba.

comment:16 Cambiado el 7 años por willicab

  • Propietario poner a willicab
  • Estado cambiado de new to accepted

comment:17 seguimiento: ↓ 18 Cambiado el 7 años por willicab

  • Estado cambiado de accepted to resolved
  • Resolución establecido a Fijada

Se ha modificado el paquete añadiendo cunaguaro como dependencia y ya se subió al repositorio, por favor que alguien lo pruebe.

comment:18 en respuesta a: ↑ 17 Cambiado el 7 años por engesc@…

  • Estado cambiado de resolved to review

Replying to willicab:

Se ha modificado el paquete añadiendo cunaguaro como dependencia y ya se subió al repositorio, por favor que alguien lo pruebe.

Probado, certificado, funciona 100%.

comment:19 Cambiado el 7 años por willicab

  • Estado cambiado de review to closed

comment:20 Cambiado el 7 años por alan.ruiz@…

Buenas tardes, mi nombre es Alan Ruiz, recientemente instalé CANAIMA 3.0 y a mi no me ha funcionado la instalación directa del sun-java6-plugin, como dije uso canaima-3.0, específicamente el núcleo para amd64, corriendo en un laptop Compaq nx6315 que utilizo en la oficina para administrar los servidores, los cuales están virtualizados sobre proxmox 1.7 (Algunos en Openvz y otros con KVM) y requiero el java-plugin para acceder a las consolas de cada servidor virtual desde el navegador.

Igual lo resolví de la siguiente forma (lanzando flechas,literalmente....):

Como al hacer "aptitude install sun-java6-plugin" el sistema arroja una larga lista de dependencias de varios navegadores, entre los que se encuentra google-crhome, entonces hice lo siguiente.

A) Descargué e instalé google-chrome-stable para debian/ubuntu amd64, del sitio oficial.
B) Repetí "aptitude install sun-java6-plugin", esta vez instaló sin ningún problema. Probé que la aplicación trabajara bien, tanto en crhome como en cunaguaro.
C) Realicé un "aptitude remove google-chrome-stable", esta vez el sistema advierte que al remover google-chrome-stable dejarán de satisfacerse algunas dependencias por lo que propone, entre muchas otras, las siguientes tres posibles soluciones:

Eliminar los paquetes siguientes:

1) sun-java6-plugin

¿Acepta esta solución? [Y/n/q/?]n
Las acciones siguientes resolverán estas dependencias

Instalar los paquetes siguientes:

1) iceape-browser [2.0.11-5 (stable)]

¿Acepta esta solución? [Y/n/q/?]n
Las acciones siguientes resolverán estas dependencias

Instalar los paquetes siguientes:

1) libjs-mootools [1.2.4.0~debian1-1 (stable)]
2) midori [0.2.4-3 (stable)]

Investigando supe que midori es un navegador ligero basado en GTK y cuyo núcleo se encuentra en el própio google-chrome, por lo que acepté esa tercera opción.

Listo, tengo cunaguaro corriendo sun-java6-plugin sin problemas, aunque tengo un navegador adicional instalado (midori) y que, por cierto, también corre bien la consola de administración de mis servidores virtuales.

Saludos

Alan Ruiz

Nota: Vea TracTickets para ayuda en el uso de incidencias.